ISINF(3) | Library Functions Manual | ISINF(3)

# NAME

`isinf` —
test for infinity

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <math.h>`

int
`isinf`(real-floating x);

# DESCRIPTION

The `isinf`() macro determines whether its argument x is an infinity (positive or negative). An argument represented in a format wider than its semantic type is converted to its semantic type first. The determination is then based on the type of the argument.

# RETURN VALUES

The `isinf`() macro returns a non-zero value if the value of x is an infinity. Otherwise 0 is returned.

# SEE ALSO

fpclassify(3), isfinite(3), isinff(3), isnan(3), isnanf(3), isnormal(3), math(3), signbit(3)

IEEE Standard for Binary Floating-Point Arithmetic, Std 754-1985, ANSI.

# STANDARDS

The `isinf`() macro conforms to ISO/IEC 9899:1999 (“ISO C99”).

# CAVEATS

On VAX the `isinf`() function always returns 0, as the architecture doesn't have a representation for infinity.

September 27, 2017 | NetBSD 9.2